OpenapiGenerated
Update an environments in an organisation.
Path Parameters
organisationSlug*string
Match
^[a-z0-9-_]+$environmentSlug*string
Match
^[a-z0-9-_]+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.avisi.cloud/api/v1/orgs/string/environments/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": 0,
"identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5",
"name": "string",
"purpose": "string",
"type": "string",
"description": "string",
"createdAt": "2019-08-24T14:15:22Z",
"modifiedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"totalClusters": 0,
"totalCpu": 0,
"totalMemory": 0,
"slug": {
"slugValue": "string"
},
"organisationSlug": {
"slugValue": "string"
}
}{
"message": "string",
"details": [
"string"
]
}{
"message": "string",
"details": [
"string"
]
}{
"message": "string",
"details": [
"string"
]
}{
"message": "string",
"details": [
"string"
]
}